# $Id: Makefile.mk,v 1.5 1996/08/02 16:33:28 deaven Exp $
#  machine-independent makefile for xyplot
#  Copyright (C) 1994 David Deaven
# 
#  This file is part of xyplot.
# 
#  xyplot is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.
# 
#  xyplot is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
# 
#  You should have received a copy of the GNU General Public License
#  along with xyplot; see the file COPYING.  If not, write to
#  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
#

#include "dmd/machine.mk"

# This must be a directory that TeX can read
TEXINPDIR = $(HOME)/wp

MANDIR = $(DMDDIR)/man
BINDIR = $(DMDDIR)/bin
LIBDIR = $(DMDDIR)/lib

CFLAGS = $(C_ALWAYS_FLAGS) $(C_OPTIMIZE_FLAGS) -DXYPLOT_SOURCE \
  -I$(DMDDIR)/include
EXELIBS = $(LD_ALWAYS_FLAGS) -ldmd $(LD_MATH_FLAGS)

LIBOBJ = readstream.o scanrange.o scan.o format.o readspline.o

OBJ = xyplot.o misc.o ticker.o dump.o

EXE = xyplot dvips2xy libxyplot.a

default: $(EXE)

libxyplot.a: $(LIBOBJ)
	make_library($(LIBOBJ),$@)

xyplot: $(OBJ) libxyplot.a
	$(CC) -o $@ $(OBJ) libxyplot.a $(EXELIBS)

dvips2xy: dvips2xy.o
	$(CC) -o $@ dvips2xy.o

install: libinstall xyplot dvips2xy
	install_files(xyplot dvips2xy,$(BINDIR))
	install_files(dvips2xy.tex,$(TEXINPDIR))
	install_files(xyplot.ps,$(LIBDIR))
	install_manual(xyplot,1)
	install_manual(dvips2xy,1)

libinstall: libxyplot.a
	install_files(libxyplot.a,$(LIBDIR))
	install_files(xyplot.h,$(DMDDIR)/include/dmd)

clean:
	rm -f *.o core *.trace $(EXE)

depend:
	make_depend(*.c,depend.make)

include_file(depend.make)
